> ## Documentation Index
> Fetch the complete documentation index at: https://docs.electronhub.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Pin

> Remove the pin for one session.



## OpenAPI

````yaml DELETE /router/pins/{session_key}
openapi: 3.0.1
info:
  title: Electron Hub API
  description: >-
    Unified API platform integrating 200+ AI models for chat, image generation,
    speech-to-text, embeddings, and more.
  version: 1.0.0
  contact:
    name: Electron Hub Support
    email: support@electronhub.ai
    url: https://discord.com/invite/electronhub
  license:
    name: MIT
servers:
  - url: https://api.electronhub.ai/v1
    description: Production API v1
security:
  - bearerAuth: []
paths:
  /router/pins/{session_key}:
    delete:
      tags:
        - Router
      summary: Delete pin
      description: Remove the pin for one session.
      operationId: deleteRouterPin
      parameters:
        - name: session_key
          in: path
          required: true
          example: chat:id_demo_1
          schema:
            type: string
            pattern: ^(sid|run|chat|fp):[A-Za-z0-9._:-]{1,160}$
          description: '`sid:<id>`, `run:<id>`, `chat:<id>`, or `fp:<hash>`.'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Deleted'
              example:
                deleted: true
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                error:
                  message: Body must be an object.
                  type: invalid_request_error
                  param: null
                  code: 400
        '403':
          description: Proxy keys cannot manage Router settings
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                error:
                  message: Only master keys can manage Router settings.
                  type: error
                  param: null
                  code: 403
        '429':
          description: More than 60 Router writes in a minute
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                error:
                  message: Too many Router changes. Retry in a minute.
                  type: rate_limit_exceeded
                  param: null
                  code: 429
components:
  schemas:
    Deleted:
      type: object
      properties:
        deleted:
          oneOf:
            - type: boolean
            - type: integer
    Error:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - message
            - type
          properties:
            message:
              type: string
            type:
              type: string
            code:
              type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Enter your API key (starts with 'ek-')

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.